<?xml version="1.0" encoding="iso-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" />

<xsl:variable name="columns" select="2" />
<xsl:variable name="size" select="ceiling (count (catalog/site) div $columns)" />

<xsl:template match="/catalog">
<html>
  <head>
  <style type="text/css">
    body {
      font-family: Verdana, sans-serif;
      margin-top: 40px;
      margin-left: 80px;
    }
    th {font-size: 14pt;}
    .odd {background-color: #E0E0E0;}
    .even {background-color: #CCFFFF;}
    .header {font-weight: bold; text-align: center;}
    .header td {
      border-top: 2px solid #003399;
      border-bottom: 2px solid #003399;
      color: #003399;
    }
    td {padding: 6px;}
  </style>
  </head>
  <body>
    <table border="0" cellspacing="1" cellpadding="0">
      <tr><th colspan="7"><xsl:value-of select="head/@title" /><br/><br/></th></tr>
      <tr class="header">
        <td>Site</td><td>SysID</td><td>Control channel<br/>(MHz)</td><td width="35">&#160;</td>
        <td>Site</td><td>SysID</td><td>Control channel<br/>(MHz)</td>
      </tr>
     <xsl:apply-templates select="site[position() &lt;= $size]" />
    </table><br />
    Total: <xsl:value-of select="count (site)" />&#160;sites
  </body>
</html>
</xsl:template>

<xsl:template match="site">
  <tr>
    <!-- set the row class to 'odd' or 'even' to determine the colour -->
    <xsl:attribute name="class">
      <xsl:choose>
        <xsl:when test="position() mod 2">odd</xsl:when>
        <xsl:otherwise>even</xsl:otherwise>
      </xsl:choose>
    </xsl:attribute>
    <xsl:apply-templates select="." mode="row" />
  </tr>
</xsl:template>

<xsl:template match="site" mode="row">
  <xsl:apply-templates select="." mode="content" />
  <td>&#160;</td>
  <xsl:apply-templates select="following-sibling::site[position() = $size]" mode="content"/>
</xsl:template>

<xsl:template match="site" mode="content">
  <td><xsl:value-of select="name" /></td>
  <td><xsl:value-of select="translate (substring (sysid, 3, 4), 'abcdef','ABCDEF')" /></td>
  <td style="text-align: center"><xsl:value-of select="cchfreq" /></td>
</xsl:template>
</xsl:stylesheet>
